%define releasebase  3
#Use as deafults if no command line inputs
%define as_limulus 1
# define AFS defines here (only used if "--with afs" is given to rpmbuild):
%define afsarch amd
%define afsroot /afs/cad/hpc
# allow --with[out] <feature> at rpm command line build
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
%{?_with_afs: %{expand: %%define as_afs 1}}
#pick the target
%if "1" == "%{as_basement}"
%define INSTALL_PATH /opt/userstat
%define targetbase Basement
%else
%if "1" == "%{as_afs}"
%define targetbase afs_%{afsarch}
%define INSTALL_PATH %{afsroot}/%{afsarch}/opt/userstat
%else
%define INSTALL_PATH /opt/userstat
%define targetbase Limulus
%endif
%endif


Summary: SGE User Status
name:userstat
Version:1.1
Group: %{targetbase}/Admin
Release: %{releasebase}.%{targetbase}
License: GPL
Source: %{name}-%{version}.tgz
URL: www.basement-supercomputing.com
Distribution: various
Vendor: Basement Supercompting
Packager: deadline@basement-supercomputing.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
%define ver %{version}-%{release}
BuildREquires: ncurses-devel
Requires: ncurses, gridengine = 6.2u5, openssh-clients
ExclusiveOS: linux

%description
Userstat displays node statistics and the batch queue on a cluster.
GPL
%prep 
%setup -n userstat 
%build
./build
%install
/bin/mkdir -p $RPM_BUILD_ROOT%{INSTALL_PATH}/bin
/bin/mkdir -p $RPM_BUILD_ROOT%{INSTALL_PATH}/man/man1
/bin/mkdir -p $RPM_BUILD_ROOT/etc/profile.d
/bin/cp userstat $RPM_BUILD_ROOT%{INSTALL_PATH}/bin
/bin/cp man/userstat.1 $RPM_BUILD_ROOT%{INSTALL_PATH}/man/man1
/bin/cp src/userstat.sh $RPM_BUILD_ROOT/etc/profile.d/
/bin/cp src/userstat.csh $RPM_BUILD_ROOT/etc/profile.d/
%post
%clean
if [ $RPM_BUILD_ROOT != "/" ]; then
  rm -rf $RPM_BUILD_ROOT
fi
%files
%defattr(-,root,root)
%{INSTALL_PATH}/bin
%{INSTALL_PATH}/man
/etc/profile.d/userstat.csh
/etc/profile.d/userstat.sh
%doc README.userstat COPYING

